---
- name: Check if harbor was already deployed
  ansible.builtin.stat:
    path: "{{ harbor_config_dir }}/docker-compose.yml"
  register: docker_compose_exists

- name: Stop Harbor
  when: docker_compose_exists.stat.exists
  community.docker.docker_compose:
    project_src: "{{ harbor_config_dir }}"
    state: absent
    remove_volumes: true

- name: Clear Harbor config directory
  ansible.builtin.file:
    name: "{{ harbor_config_dir }}"
    state: absent

- name: Clear Harbor data directory
  when: harbor_delete_data_on_destroy
  ansible.builtin.file:
    name: "{{ harbor_data_dir }}"
    state: absent
